Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/changemanagement/getapi-v-1-agent-change-management-change-templates

# Retrieve all the templates a logged in user can raise changes from (scoped to the workspaces the user is a member of); when for_user_id is supplied the list is curated for that profile user

GET `https://{tenant}.atomicwork.com/api/v1/agent/change-management/change-templates`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### search\_key (query, string)

#### workspace\_id (query, integer)

Workspace ID (numeric). Find yours under Settings → Workspace.

#### status (query, enum (string))

#### is\_active (query, boolean)

#### for\_user\_id (query, integer)

Optional profile user the template list should be curated for (people-profile on-behalf-of context). When set, the list is narrowed to templates both the calling agent can raise and this user is allowed to access. When absent, behaviour is unchanged.

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/agent/change-management/change-templates' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/agent/change-management/change-templates', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/agent/change-management/change-templates',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
